%define version 0.2.8
%define release 5mdk

%define libname_orig %mklibname %{name}
%define libname %{libname_orig}0

Name:           uim
Summary:        UIM is a new Japanese input method
Version:        %{version}
Release:        %{release}
Group:		System/Internationalization
License:	GPL or BSD
URL:		http://freedesktop.org/Software/uim
Source0:	%{name}-%{version}.tar.bz2
Patch0:     uim-0.2.8-fix-numeric-keypad.patch.bz2 
# (fc) 0.2.8-5mdk fix crash in nautilus
Patch1:		uim-0.2.8-crash.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	anthy
Requires:	%{libname} = %{version}-%{release}
Conflicts:	kinput2-wnn4
BuildRequires:	gnome-panel-devel

%description
UIM is a new XIM for Japanese.

%package applet
Summary:	IM applet for uim using gnome2.
Group:		System/Internationalization
Requires:	%{name} = %{version}-%{release}
Prereq:		gtk+2.0

%description applet
Control applet using gnome2.

%package -n %{libname}
Summary:	UIM library.
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
UIM library.

%package -n %{libname}-devel
Summary:	Headers of uim for development.
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .crash

%build
# mdk doesn't have libtool 1.5
%define __libtoolize /bin/true

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std sysconfdir=$RPM_BUILD_ROOT/%_sysconfdir

# remove unneeded files
rm -f %{buildroot}%{_libdir}/gtk-2.0/*/immodules/*.la \
      %{buildroot}%{_libdir}/gtk-2.0/*/immodules/*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post applet
%{_bindir}/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules

%postun applet
%{_bindir}/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.ja
%{_bindir}/uim-xim
%{_bindir}/uim-helper-server
%{_datadir}/uim

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files applet
%defattr(-,root,root)
%doc COPYING
%{_bindir}/uim-helper-candwin-gtk
%{_bindir}/uim-helper-toolbar-gtk
%{_bindir}/uim-helper-toolbar-gtk-systray
%{_libdir}/gtk-2.0/*/immodules/*.so
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/uim-helper-applet

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Mar 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.8-5mdk
- Patch1: fix crash in nautilus

* Mon Mar 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-4mdk
- patch 0: fix numeric pad in KDE applications (transmitted by UTUMI Hirosi)

* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 0.2.8-3mdk
- Sanitize spec file
- Fix post scripts
- Add missing requirement

* Sat Feb 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-2mdk
- build release

* Tue Feb 10 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.8-1mdk
- new version

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-2mdk
- use proper build fix

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release
- fix build

* Wed Jan 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- fix group
- fix not localized messages catalog
- add ldconfig call
- fix unpackaged files
- kill useless requires guessed by rpm
- mklibname support
- initial upload based on UTUMI Hirosi <utuhiro78@yahoo.co.jp> work

* Sun Jan 11 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.4-1
- Version updated.
